﻿////mr-bundler-ignore

function MrStartUI() {
    MrActivateReadSpeakerInt = true;
    MrMUISecoundryColor = '#133C8B';
    MrMUIPrimaryColor = '#F5F5F5';
    MrMUIToolWidth = "35vw";
    MrMUIToolMaxWidth = "650px";
    MrMUIToolMinWidth = "400px";
    MrExcludedCSSElementsSelector = ".fa, .fab, .fad, .fal, .far, .fas,i";
    Mrnoggt = false;
    MrCID = 240;
    MrAudCid = 28;
    MrReadSpeakerBtn = "Div2";
    try {
        MrArabicUIisOn = document.getElementsByTagName('html')[0].getAttribute('dir') == "rtl";
            
    } catch (err){

    }
   
    MrArabicFlag = "omn";

    MRUAPPrepareUI(["MrReadSpeakerFeature","MrControl_Page_contrast","MrCursor_Helpers","MrChangefont","MrPage_saturation_control","MrWords_Spacing","MrRealWords_Spacing","MrLine_Spacing","MrEnlarge_Fonts","MrHighlight_Links","MrAnimation","MrText_Alignments","MrPage_Structure","MrHideImgs",],["MrVisuallyImpaired","Mrdyslexia","MrADHD","MrSeizureAndEpilepsy","MrColor_Blind","Mrcognitive_education","MrImpaired_mobility"]);

    var MrIconMessage = MrArabicUIisOn ? "مساعدة في استخدام الموقع" : "Assist using site" ;
    
    MrGotoArabicVersion = function () {

        try {
            document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
        } catch (err) { }
        if (!MrArabicUIisOn) {

             changeLanguage();
       
            MrUPChangeToolLangToAR();
        }
    };
    MrGotoEnglishVersion = function () {

        try {
            document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
        } catch (err) { }


        if (MrArabicUIisOn) {

             changeLanguage();
        
            MrUPChangeToolLAngToEN();
        }
    };
    var MrIconToAdd =
        '<div id="MrAccessInHand" title="' +
        MrIconMessage +
        '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' +
        MrIconMessage +
        '"></div>';
    MrUAPAddStyle(
        " .mr-muiTool {z-index:9999999999 !important} #MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 99;cursor:pointer; position: fixed; bottom: 130px; left: 20px; background-color: " +
        MrMUISecoundryColor +
        "; border-radius: 50%;width:50px;height:50px;text-align:center } #MrAccessInHand img{filter:" +
        MrUtilHexToFilter(MrMUIWhite) +
        ";margin-top:5px;width:40px}",
        "MrbuttonCSS"
    );
    jQuery("body").append(MrIconToAdd);

    jQuery("#MrAccessInHand").click(function () {
        MrToolCheckLicense();
        MrUAPShowAssistiveTool();
        MrMUIGetGoogleTranslationValues(2);
        if (MrArabicUIisOn) {

            jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
        } else {

            jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
        }
    });
    MrUAPPrepareMrOrgColor();
    MrMUIActivateShotcuts();
}
////endmr-bundler-ignore
window.addEventListener("load",function () {
    setTimeout(function () {
        MrStartUI();
    }, 500);
});